Remote Desktop
This endpoint group provides methods for managing and connecting to remote desktop sessions for various identities within the AppBuilder framework.
Endpoints
POST /api/rpc (Method: RemoteDesktopRpc.getVncConnectionDetails)
Description: Gets the connection details (token, path) for a VNC session for a given identity.
Request Body:
{ "method": "RemoteDesktopRpc.getVncConnectionDetails", "params": { "identityId": "user-..." } }Parameters:
Name Type Required Description identityIdStringYes The universal identityId ('user-...' or 'agent-...') of the entity whose screen is being requested. Response:
{ "success": true, "data": { "token": "VNC_SESSION_TOKEN", "url": "wss://vpc.example.com/vnc/connect?token=VNC_SESSION_TOKEN" } }Example (cURL):
curl -X POST https://api.example.com/api/rpc \ -H "Content-Type: application/json" \ -H "X-API-Key: YOUR_API_KEY" \ -d '{ "method": "RemoteDesktopRpc.getVncConnectionDetails", "params": { "identityId": "user-65b12a3b4c5d6e7f8a9b0c1d" } }'